SSH-PROXY-ICE-GSO(1)

NAME
ssh-proxy-ice-srv - program to accepts connections from ssh-proxy-ice-cli

SYNOPSIS

ssh-proxy-ice-srv [{-s | --gsocket-secret} SECRET] [{-d | --addr} SSH SERVER ADDR] [{-p | --port} SSH SERVER PORT] [--stun-server-addr=STUN SERVER ADDR] [--stun-server-port=STUN SERVER PORT] [--upnp= {yes | no}]

ssh-proxy-ice-srv [{-h | --help}]

DESCRIPTION

This manual page documents briefly the ssh-proxy-ice-srv command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

ssh-proxy-ice-srv is a program that accepts a connection from ssh-proxy-ice-cli which shares the same gsocket secret.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes ('-'). A summary of options is included below.

-s SECRET, --gsocket-secret=SECRET
    set GSocket secret, have to be same between clients and server

-d SSH SERVER ADDR, --addr=SSH SERVER ADDR
    SSH Server address

-p SSH SERVER PORT, --port=SSH SERVER PORT
    SSH Server port

--stun-server-addr=STUN server address
    STUN server address

--stun-server-port=STUN server port
    STUN server port

--upnp=yes|no
    Use UPNP or not. By default it is yes.

-h, --help
    Show summary of options.

ENVIRONMENT

G_MESSAGES_DEBUG
    When debugging, this environment must be set to be able to get verbosed output.

BUGS

The program is currently limited to only work with the gs-netcat command.

The upstreams BTS can be found at https://gitlab.com/grandpaul/ssh-proxy-ice-gsocket/issues.

SEE ALSO

ssh-proxy-ice-cli(1)

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2025 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 2.1 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the Lesser GNU General Public License can be found in /usr/share/common-licenses/LGPL-2.1.